### Hierarchy

- TransitionHookOptions

## Index

### Properties

- bind
- current
- hookType
- stateHook
- target
- traceData
- transition

## Properties

bind: any

- Defined in transition/interface.ts:98

current: function

#### Type declaration

- - (): Transition

  - #### Returns Transition

- Defined in transition/interface.ts:93

hookType: string

- Defined in transition/interface.ts:95

stateHook: boolean

- Defined in transition/interface.ts:99

target: any

- Defined in transition/interface.ts:96

traceData: any

- Defined in transition/interface.ts:97

transition: Transition

- Defined in transition/interface.ts:94

Generated using TypeDoc